package com.ruoyi.system.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.system.domain.CommUser;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 参数配置 服务层
 *
 * @author ruoyi
 */
public interface ICommUserService extends IService<CommUser>
{
    public List<CommUser> listS();

    CommUser findOne(LambdaQueryWrapper<CommUser> eq);

    @Transactional(rollbackFor = Exception.class)
    void Save(CommUser vo);

    Integer selectCount(Wrapper<CommUser> queryWrapper);
}
